Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "* {{PropertyData|X|Distance}}: la coordinata X del punto. Il valore predefinito è {{Value|0mm}}. * {{PropertyData|Y|Distance}}: la coordinata Y del punto. Il valore predefinito è {{Value|0mm}}. * {{PropertyData|Z|Distance}}: la coordinata Z del punto. Il valore predefinito è {{Value|0mm}}.")
(Created page with "== Script ==")
Line 48: Line 48:
* {{PropertyData|Z|Distance}}: la coordinata Z del punto. Il valore predefinito è {{Value|0mm}}.
* {{PropertyData|Z|Distance}}: la coordinata Z del punto. Il valore predefinito è {{Value|0mm}}.


== Scripting ==
<span id="Scripting"></span>
== Script ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

Revision as of 19:46, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

Vedere Part Primitive.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Punto deriva da un oggetto Part Feature e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

L'oggetto ha le stesse proprietà di collegamento di un Part Part2DObject.

Base

  • DatiX (Distance): la coordinata X del punto. Il valore predefinito è 0mm.
  • DatiY (Distance): la coordinata Y del punto. Il valore predefinito è 0mm.
  • DatiZ (Distance): la coordinata Z del punto. Il valore predefinito è 0mm.

Script

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()